Bug 1651916 - Host details/associated host button on discovered host audit gives 404
Summary: Host details/associated host button on discovered host audit gives 404
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Audit Log
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Kavita
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks: 1591731
TreeView+ depends on / blocked
 
Reported: 2018-11-21 07:58 UTC by Nikhil Kathole
Modified: 2019-10-07 17:18 UTC (History)
3 users (show)

Fixed In Version: foreman-1.20.1.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:03 UTC


Attachments (Terms of Use)
screenshot of UI (120.25 KB, image/png)
2018-11-21 07:58 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:13 UTC
Foreman Issue Tracker 25525 None None None 2018-11-21 13:12:21 UTC

Description Nikhil Kathole 2018-11-21 07:58:40 UTC
Created attachment 1507571 [details]
screenshot of UI

Description of problem:
Host details button on Audit log created for discovered host redirected to 

https://satellite/hosts/<discovered_host> leading to "Host not found Please try to update your request" 404 page not found.

It should redirect to
https://satellite/discovered_hosts/<discovered_host>.


Version-Release number of selected component (if applicable): 
Satellite 6.5 snap 4


How reproducible: always


Steps to Reproduce:
1. Discover a host with pxe
2. Navigate to Monitor - > audit
3. Click on audit log created for discovered host (see attachment) 
4. Click on host details/associated host button.

Actual results:

page not found and production.log showed

2018-11-21T02:48:39 [I|app|] Started GET "/hosts/nikhil525400ff8483" for 10.65.223.78 at 2018-11-21 02:48:39 -0500
2018-11-21T02:48:39 [I|app|fad27] Processing by HostsController#show as HTML
2018-11-21T02:48:39 [I|app|fad27]   Parameters: {"id"=>"nikhil525400ff8483"}
2018-11-21T02:48:39 [I|app|fad27] Current user set to admin (admin)
2018-11-21T02:48:39 [I|app|fad27]   Rendering common/404.html.erb within layouts/application
2018-11-21T02:48:39 [I|app|fad27]   Rendered common/404.html.erb within layouts/application (7.1ms)
2018-11-21T02:48:39 [I|app|fad27]   Rendered layouts/_application_content.html.erb (0.6ms)
2018-11-21T02:48:39 [I|app|fad27]   Rendering layouts/base.html.erb
2018-11-21T02:48:39 [I|app|fad27]   Rendered layouts/base.html.erb (6.0ms)
2018-11-21T02:48:39 [I|app|fad27] Completed 404 Not Found in 48ms (Views: 25.5ms | ActiveRecord: 2.8ms)


Expected results: page should redirect correctly.


Additional info:

Comment 2 Kavita 2018-11-21 13:12:19 UTC
Created redmine issue http://projects.theforeman.org/issues/25525 from this bug

Comment 3 Bryan Kearney 2019-01-07 21:15:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25525 has been resolved.

Comment 5 Nikhil Kathole 2019-01-16 09:10:46 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 11

1. Host details/associated host button on discovered host audit redirects to discovered host correctly.
2. Host details/associated host button on discovered host audit redirects to hosts details page if discovered host provisioned.
3. Host details/associated host button on discovered host audit redirects to hosts details page if auto discovery.

Comment 7 errata-xmlrpc 2019-05-14 12:39:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.